## Sorting

> Sort implementation in Python

## Install

```
$ pip install sorting
```

## Usage

```python
import sorting

data = [1, 8, 3, 5, 6, 9, 2, 4]

res = sorting.bubblesort(data)
print('Bubble Sort      : ', res)

res = sorting.bucketsort(data)
print('Bucket Sort      : ', res)

res = sorting.combsort(data)
print('Comb Sort        : ', res)

res = sorting.countingsort(data)
print('Counting Sort    : ', res)

res = sorting.maxheapsort(data)
print('Max Heap Sort    : ', res)

res = sorting.minheapsort(data)
print('Min Heap Sort    : ', res)

res = sorting.mergesort(data)
print('Merge Sort       : ', res)

res = sorting.quicksort(data)
print('Quick Sort       : ', res)

res = sorting.radixsort(data)
print('Radix Sort       : ', res)

res = sorting.selectionsort(data)
print('Selection Sort   : ', res)

"""
Output:
Bubble Sort      :  [1, 2, 3, 4, 5, 6, 8, 9]
Bucket Sort      :  [1, 2, 3, 4, 5, 6, 8, 9]
Comb Sort        :  [1, 2, 3, 4, 5, 6, 8, 9]
Counting Sort    :  [1, 2, 3, 4, 5, 6, 8, 9]
Max Heap Sort    :  [1, 2, 3, 4, 5, 6, 8, 9]
Min Heap Sort    :  [1, 2, 3, 4, 5, 6, 8, 9]
Merge Sort       :  [1, 2, 3, 4, 5, 6, 8, 9]
Quick Sort       :  [1, 2, 3, 4, 5, 6, 8, 9]
Radix Sort       :  [1, 2, 3, 4, 5, 6, 8, 9]
Selection Sort   :  [1, 2, 3, 4, 5, 6, 8, 9]
"""
```

## Get Help

There are few ways to get help:

 1. Please [post questions on Stack Overflow](https://stackoverflow.com/questions/ask). You can open issues with questions, as long you add a link to your Stack Overflow question.

 2. For bug reports and feature requests, open issues.

 3. For direct and quick help, you can [email me](mailto://yoginth@zoho.com).

## How to contribute
Have an idea? Found a bug? See [how to contribute][contributing].

Thanks!

## License

[MIT][license]

[LICENSE]: https://yoginth.mit-license.org/
[contributing]: /CONTRIBUTING.md
